### Function

# Shell PerfLog get_default

#### Declaration [src]

    ShellPerfLog*
    shell_perf_log_get_default (
      void
    )

#### Description [src]

Gets the global singleton performance log. This is initially disabled and must be explicitly enabled with shell_perf_log_set_enabled().

#### Return value

Type: `ShellPerfLog`

The global singleton performance log.

The data is owned by the called function.